Package logilab :: Package common :: Module interface :: Class Interface

[frames] | no frames]

# Class Interface

source code

    object --+
             |
            Interface

    Base class for interfaces.

Instance Methods
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Methods

is_implemented_by(cls, instance) | source code

Properties
Inherited from `object`: `__class__`